He.sim <- function (x, n.sim = 999, N=5) 
{
  if (!is.genind(x)) 
    stop("x is not a valid genind object")
  n.pop <- seppop(x)
  f1<-function(z,N){
    selsamp<-sample(rownames(z@tab),N)
    z <- z[row.names(z@tab) %in% selsamp]
    hez<-summary(z)$Hexp
    return(hez)}
  f2<-function(z,N,n.sim){
    sim<-replicate(n.sim, f1(z,N=N)) 
    he.av<-apply(sim,1,mean)
    return(he.av)}
  pop.hexp.sim <- as.data.frame(do.call("c", lapply(n.pop, function(x) f2(x,N,n.sim))))
  for(i in 1: length(pop.hexp.sim[,1])){
    pop.hexp.sim[i,2:3]<-strsplit(rownames(pop.hexp.sim)[i],split = "\\.")[[1]]}
  colnames(pop.hexp.sim)<-c("Hesim","pop","locus"); 
  return(pop.hexp.sim)
}

