Ho.sim <- function (x, n.sim = 999, N=5) 
{
  if (!is.genind(x)) 
    stop("x is not a valid genind object")
  n.pop <- seppop(x)
  f1<-function(z,N){
    selsamp<-sample(rownames(z@tab),N)
    z <- z[row.names(z@tab) %in% selsamp]
    hoz<-summary(z)$Hobs
    return(hoz)}
  f2<-function(z,N,n.sim){
    sim<-replicate(n.sim, f1(z,N=N)) 
    ho.av<-apply(sim,1,mean)
    return(ho.av)}
  pop.hobs.sim <- as.data.frame(do.call("c", lapply(n.pop, function(x) f2(x,N,n.sim))))
  for(i in 1: length(pop.hobs.sim[,1])){
    pop.hobs.sim[i,2:3]<-strsplit(rownames(pop.hobs.sim)[i],split = "\\.")[[1]]}
  colnames(pop.hobs.sim)<-c("Hobsim","pop","locus"); 
  return(pop.hobs.sim)
}

