Ho.test<-function (x, y, n.sim = 999, alter = c("two-sided", "greater", 
                                       "less")) 
{
  if (!is.genind(x)) 
    stop("x is not a valid genind object")
  if (!is.genind(y)) 
    stop("y is not a valid genind object")
  if (x@type == "PA" || y@type == "PA") 
    stop("not implemented for presence/absence markers")
  alter <- match.arg(alter)
  xy <- repool(x, y)
  pop(xy) <- rep(c("x", "y"), c(nInd(x), nInd(y)))
  #ab<-Hs(xy, pop(xy))
  #ab[1]<-mean(summary(x)$Hobs)
  #ab[2]<-mean(summary(y)$Hobs)
  f1 <- function(x, pop) -(mean(summary(seppop(x)[[1]])$Hobs)-mean(summary(seppop(x)[[2]])$Hobs))
  obs <- f1(xy, pop(xy))
  sim <- replicate(n.sim, f1(xy, sample(pop(xy))))
  res <- as.randtest(sim = sim, obs = obs, alter = alter)
  res$call <- match.call()
  return(res)
}
